Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0055878
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Retail APImajorhave not tried2024-07-01 13:382024-07-18 12:07
ReporterAgatheBertinView Statuspublic 
Assigned Tosreehari 
PrioritynormalResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0055878: API ProductListsForLabels - Organization

DescriptionAPI ProductListsForLabels

When importing, we have to set an organization (Organization of the product list for labels)

But, we can only integrate the object using the NAME of the organization

We should be able to use the searchKey of the organization
Steps To ReproduceUse the SearchKey of the organiztion and you get the error "Error while importing an item: No entry found in Organization with name = 0000001203"


[{"client":"CCC","organization":"0000001203","name":"Test ABE1234","searchKey":"Test ABE1234","active":true,"printDate":"2024-02-07","products":[{"product":"477715"},{"product":"581301"},{"product":"182496"},{"product":"477720"},{"product":"549207"},{"product":"581297"}]}]
Proposed SolutionAllow to import with the search Key of the organization.


JWE:
Import will check first SearchKey and if not then organization name (to keep retrocompatbility)

Export will be done just by searchKey
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0056044RR24Q3.1 scheduledsreehari API ProductListsForLabels - Organization 
depends on backport 0056045RR24Q2.2 scheduledsreehari API ProductListsForLabels - Organization 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0167014)
hgbot (developer)
2024-07-16 13:41

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.product.label.printing.api/-/merge_requests/4 [^]
(0167059)
hgbot (developer)
2024-07-17 11:03

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.product.label.printing.api [^]
Changeset: 0a4c25ddb10a1d9a6d979a59f825f313565580dd
Author: Sreehari Venkataraman <sreehari.venkataraman.ext@openbravo.com>
Date: 17-07-2024 09:03:03
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.product.label.printing.api/-/commit/0a4c25ddb10a1d9a6d979a59f825f313565580dd [^]

Fixes ISSUE-55878: Changed organization name to searchKey on the API

---
A src/org/openbravo/pos2/product/label/printing/api/mappings/ImportProductListsForLabelsJavaPropertyMappingHandler.java
M examples/Openbravo API.postman_collection.json
M src-db/database/sourcedata/OBEI_PROP_MAP_INSTANCE.xml
---
(0167060)
hgbot (developer)
2024-07-17 11:03

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.product.label.printing.api/-/merge_requests/4 [^]
(0167117)
sreehari (developer)
2024-07-18 11:21

when wrong organization is sent in the request, it throws error but also creates record with * org
(0167122)
hgbot (developer)
2024-07-18 12:07

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.product.label.printing.api/-/merge_requests/5 [^]

- Issue History
Date Modified Username Field Change
2024-07-01 13:38 AgatheBertin New Issue
2024-07-01 13:38 AgatheBertin Assigned To => Triage Platform Conn
2024-07-01 13:38 AgatheBertin Triggers an Emergency Pack => No
2024-07-08 10:14 alostale Assigned To Triage Platform Conn => Retail
2024-07-10 10:29 jorgewederago Proposed Solution updated
2024-07-10 10:29 jorgewederago Status new => acknowledged
2024-07-15 07:17 sreehari Assigned To Retail => sreehari
2024-07-15 07:18 sreehari Status acknowledged => scheduled
2024-07-16 13:41 hgbot Note Added: 0167014
2024-07-17 10:54 guillermogil Status scheduled => feedback
2024-07-17 10:55 guillermogil Status feedback => scheduled
2024-07-17 11:03 hgbot Resolution open => fixed
2024-07-17 11:03 hgbot Status scheduled => closed
2024-07-17 11:03 hgbot Note Added: 0167059
2024-07-17 11:03 hgbot Note Added: 0167060
2024-07-18 11:21 sreehari Note Added: 0167117
2024-07-18 11:21 sreehari Status closed => new
2024-07-18 11:21 sreehari Resolution fixed => open
2024-07-18 11:21 sreehari Status new => scheduled
2024-07-18 12:07 hgbot Note Added: 0167122


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker